summaryrefslogtreecommitdiff
path: root/debian/librbd1.postinst
diff options
context:
space:
mode:
authorJosh Durgin <josh.durgin@dreamhost.com>2011-02-01 17:09:08 -0800
committerYehuda Sadeh <yehuda.sadeh@dreamhost.com>2011-02-07 15:13:01 -0800
commitf18c7213938b11601a36c5e2e2a9543c8c8c8e1c (patch)
treedb5df7fd1c61df85f5981177237a710a269e2ba7 /debian/librbd1.postinst
parent78fe39346a7b00e56191da9d714fb894e97c2299 (diff)
downloadceph-f18c7213938b11601a36c5e2e2a9543c8c8c8e1c.tar.gz
librbd: add packages for librbd
Diffstat (limited to 'debian/librbd1.postinst')
-rw-r--r--debian/librbd1.postinst41
1 files changed, 41 insertions, 0 deletions
diff --git a/debian/librbd1.postinst b/debian/librbd1.postinst
new file mode 100644
index 00000000000..df6b9fcb3db
--- /dev/null
+++ b/debian/librbd1.postinst
@@ -0,0 +1,41 @@
+#!/bin/sh
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ ldconfig
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+